Bug 5541 - links show title twice if 856$y and 856$3 populated
Summary: links show title twice if 856$y and 856$3 populated
Status: RESOLVED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Galen Charlton
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 18:35 UTC by Nicole C. Engard
Modified: 2019-05-04 12:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
856 in marc (42.72 KB, image/png)
2010-12-23 18:35 UTC, Nicole C. Engard
Details
856 on staff client (23.22 KB, image/png)
2010-12-23 18:35 UTC, Nicole C. Engard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-12-23 18:35:02 UTC
Created attachment 2905 [details]
856 in marc

When the 856 field has both a subfield 3 and a subfield y the link shows twice in the opac and the text for the link shows twice in the staff client.  I guess it should look for a y first and if that's not found then use the 3 - but if that's found stop looking.
Comment 1 Nicole C. Engard 2010-12-23 18:35:24 UTC
Created attachment 2906 [details]
856 on staff client
Comment 2 Owen Leonard 2010-12-28 19:49:04 UTC
I'm not sure if this is a template problem or a script problem. Processing of the 856 tag happens in Biblio.pm's GetMarcUrls.

GetMarcUrls will pass a "part" variable containing subfield 3 to detail.pl if subfield y exists. Then the template prefixes the output of subfield u with this "part" text. It seems that the link text for subfield u ends up being the same as "part." Clear as mud?

I think someone more familiar with the MARC standard should review the logic of all this.
Comment 3 Katrin Fischer 2019-05-04 12:24:47 UTC
This is a WONTFIX as the non-XSLT templates have been deprecated and the problem doesn't manifest with XSLT.